FIX::FieldMap Class Reference

Stores and organizes a collection of Fields. More...

`#include <FieldMap.h>`

Inheritance diagram for FIX::FieldMap:
[legend]
Collaboration diagram for FIX::FieldMap:
[legend]

## Classes

class | finder
class | sorter

## Public Types

typedef std::vector< FieldBase, ALLOCATOR< FieldBase > > | Fields
typedef std::map< int, std::vector< FieldMap * >, std::less< int >, ALLOCATOR< std::pair< const int, std::vector< FieldMap * > > > > | Groups
typedef Fields::iterator | iterator
typedef Fields::const_iterator | const_iterator
typedef Groups::iterator | g_iterator
typedef Groups::const_iterator | g_const_iterator

## Public Member Functions

| FieldMap (const message_order &order=message_order(message_order::normal))
| FieldMap (const int order[])
| FieldMap (const FieldMap &copy)
virtual | ~FieldMap ()
FieldMap & | operator= (const FieldMap &rhs)
void | setField (const FieldBase &field, bool overwrite=true) throw ( RepeatedTag )
| Set a field without type checking. More...
void | setField (int tag, const std::string &value) throw ( RepeatedTag, NoTagValue )
| Set a field without a field class. More...
bool | getFieldIfSet (FieldBase &field) const
| Get a field if set. More...
FieldBase & | getField (FieldBase &field) const throw ( FieldNotFound )
| Get a field without type checking. More...
const std::string & | getField (int tag) const throw ( FieldNotFound )
| Get a field without a field class. More...
const FieldBase & | getFieldRef (int tag) const throw ( FieldNotFound )
| Get direct access to a field through a reference. More...
const FieldBase *const | getFieldPtr (int tag) const throw ( FieldNotFound )
| Get direct access to a field through a pointer. More...
bool | isSetField (const FieldBase &field) const
| Check to see if a field is set. More...
bool | isSetField (int tag) const
| Check to see if a field is set by referencing its number. More...
void | removeField (int tag)
| Remove a field. If field is not present, this is a no-op. More...
void | addGroup (int tag, const FieldMap &group, bool setCount=true)
| Add a group. More...
void | addGroupPtr (int tag, FieldMap *group, bool setCount=true)
| Acquire ownership of Group object. More...
void | replaceGroup (int num, int tag, const FieldMap &group)
| Replace a specific instance of a group. More...
FieldMap & | getGroup (int num, int tag, FieldMap &group) const throw ( FieldNotFound )
| Get a specific instance of a group. More...
FieldMap & | getGroupRef (int num, int tag) const throw ( FieldNotFound )
| Get direct access to a field through a reference. More...
FieldMap * | getGroupPtr (int num, int tag) const throw ( FieldNotFound )
| Get direct access to a field through a pointer. More...
void | removeGroup (int num, int tag)
| Remove a specific instance of a group. More...
void | removeGroup (int tag)
| Remove all instances of a group. More...
bool | hasGroup (int tag) const
| Check to see any instance of a group exists. More...
bool | hasGroup (int num, int tag) const
| Check to see if a specific instance of a group exists. More...
size_t | groupCount (int tag) const
| Count the number of instance of a group. More...
void | clear ()
| Clear all fields from the map. More...
bool | isEmpty ()
| Check if map contains any fields. More...
size_t | totalFields () const
std::string & | calculateString (std::string &) const
int | calculateLength (int beginStringField=FIELD::BeginString, int bodyLengthField=FIELD::BodyLength, int checkSumField=FIELD::CheckSum) const
int | calculateTotal (int checkSumField=FIELD::CheckSum) const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
g_iterator | g_begin ()
g_iterator | g_end ()
g_const_iterator | g_begin () const
g_const_iterator | g_end () const

## Protected Member Functions

| FieldMap (const message_order &order, int size)
void | addField (const FieldBase &field)
const FieldBase & | reverse_find (int tag) const
void | appendField (const FieldBase &field)
void | sortFields ()

## Private Types

enum | { DEFAULT_SIZE = 16 }

## Private Member Functions

Fields::const_iterator | findTag (int tag) const
Fields::iterator | findTag (int tag)
template<typename Iterator >
Iterator | lookup (Iterator begin, Iterator end, int tag) const
Fields::iterator | findPositionFor (int tag)

## Private Attributes

Fields | m_fields
Groups | m_groups
message_order | m_order

## Friends

class | Message

## Detailed Description

Stores and organizes a collection of Fields.

This is the basis for a message, header, and trailer. This collection class uses a sorter to keep the fields in a particular order.

Definition at line 63 of file FieldMap.h.

## Member Typedef Documentation

## const_iterator

typedef Fields::const_iterator FIX::FieldMap::const_iterator

Definition at line 134 of file FieldMap.h.

## Fields

typedef std::vector< FieldBase, ALLOCATOR< FieldBase > > FIX::FieldMap::Fields

Definition at line 129 of file FieldMap.h.

## g_const_iterator

typedef Groups::const_iterator FIX::FieldMap::g_const_iterator

Definition at line 136 of file FieldMap.h.

## g_iterator

typedef Groups::iterator FIX::FieldMap::g_iterator

Definition at line 135 of file FieldMap.h.

## Groups

typedef std::map< int, std::vector < FieldMap* >, std::less<int>, ALLOCATOR<std::pair<const int, std::vector< FieldMap* > > > > FIX::FieldMap::Groups

Definition at line 131 of file FieldMap.h.

## iterator

typedef Fields::iterator FIX::FieldMap::iterator

Definition at line 133 of file FieldMap.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
DEFAULT_SIZE |

Definition at line 121 of file FieldMap.h.

{

## Constructor & Destructor Documentation

## FieldMap() [1/4]

FIX::FieldMap::FieldMap | ( | const message_order & | order,
|  | int | size
| ) |  |

protected

Definition at line 51 of file FieldMap.cpp.

{
*this = copy;
}

## FieldMap() [2/4]

FIX::FieldMap::FieldMap | ( | const message_order & | order = `message_order( message_order::normal )` | ) |

Definition at line 57 of file FieldMap.cpp.

{
clear();
}

## FieldMap() [3/4]

FIX::FieldMap::FieldMap | ( | const int | order[] | ) |

Definition at line 63 of file FieldMap.cpp.

{
clear();
m_fields = rhs.m_fields;
m_order = rhs.m_order;

References m_fields, and m_order.

## FieldMap() [4/4]

FIX::FieldMap::FieldMap | ( | const FieldMap & | copy | ) |

Definition at line 69 of file FieldMap.cpp.

{
std::vector < FieldMap* > ::const_iterator j;

## ~FieldMap()

FIX::FieldMap::~FieldMap | ( |  | ) |

virtual

Definition at line 74 of file FieldMap.cpp.

{
FieldMap * pGroup = new FieldMap( **j );
m_groups[ i->first ].push_back( pGroup );
}

## Member Function Documentation

## addField()

void FIX::FieldMap::addField | ( | const FieldBase & | field | ) |

inline protected

Definition at line 305 of file FieldMap.h.

:
Fields::const_iterator findTag( int tag ) const
{
return lookup( m_fields.begin(), m_fields.end(), tag );
}
Fields::iterator findTag( int tag )
{

## addGroup()

void FIX::FieldMap::addGroup | ( | int | tag,
|  | const FieldMap & | group,
|  | bool | setCount = `true`
| ) |  |

Add a group.

Definition at line 100 of file FieldMap.cpp.

{
Groups::const_iterator i = m_groups.find( field );
if ( i == m_groups.end() ) return;

Referenced by FIX::Header::addGroup().

## addGroupPtr()

void FIX::FieldMap::addGroupPtr | ( | int | tag,
|  | FieldMap * | group,
|  | bool | setCount = `true`
| ) |  |

Acquire ownership of Group object.

Definition at line 107 of file FieldMap.cpp.

{
Groups::iterator i = m_groups.find( field );
if ( i == m_groups.end() ) return;
if ( num <= 0 ) return;
std::vector< FieldMap* >& vector = i->second;
if ( vector.size() < ( unsigned ) num ) return;

## appendField()

void FIX::FieldMap::appendField | ( | const FieldBase & | field | ) |

inline protected

Definition at line 331 of file FieldMap.h.

{

## begin() [1/2]

iterator FIX::FieldMap::begin | ( |  | ) |

inline

Definition at line 292 of file FieldMap.h.

{

Referenced by FIX::DataDictionary::iterate(), reverse_find(), and FIX::Message::toXML().

## begin() [2/2]

const_iterator FIX::FieldMap::begin | ( |  | ) | const

inline

Definition at line 294 of file FieldMap.h.

{

## calculateLength()

int FIX::FieldMap::calculateLength | ( | int | beginStringField = `FIELD::BeginString`,
|  | int | bodyLengthField = `FIELD::BodyLength`,
|  | int | checkSumField = `FIELD::CheckSum`
| ) |  | const

Definition at line 250 of file FieldMap.cpp.

{
std::vector < FieldMap* > ::const_iterator k;
for ( k = j->second.begin(); k != j->second.end(); ++k )
result += ( *k ) ->calculateLength();
}
return result;
}
int FieldMap::calculateTotal( int checkSumField ) const
{
int result = 0;
Fields::const_iterator i;
for ( i = m_fields.begin(); i != m_fields.end(); ++i )
{
if ( i->getTag() != checkSumField )
result += i->getTotal();
}
Groups::const_iterator j;
for ( j = m_groups.begin(); j != m_groups.end(); ++j )
{
std::vector < FieldMap* > ::const_iterator k;
for ( k = j->second.begin(); k != j->second.end(); ++k )
result += ( *k ) ->calculateTotal();

## calculateString()

std::string & FIX::FieldMap::calculateString | ( | std::string & | result | ) | const

Definition at line 232 of file FieldMap.cpp.

{
int result = 0;
Fields::const_iterator i;
for ( i = m_fields.begin(); i != m_fields.end(); ++i )
{
int tag = i->getTag();
if ( tag != beginStringField
&& tag != bodyLengthField
&& tag != checkSumField )
{ result += i->getLength(); }
}
Groups::const_iterator j;

## calculateTotal()

int FIX::FieldMap::calculateTotal | ( | int | checkSumField = `FIELD::CheckSum` | ) | const

Definition at line 275 of file FieldMap.cpp.

Referenced by FIX::Message::getTrailer().

## clear()

void FIX::FieldMap::clear | ( |  | ) |

Clear all fields from the map.

Definition at line 199 of file FieldMap.cpp.

{
size_t result = m_fields.size();
Groups::const_iterator i;
for ( i = m_groups.begin(); i != m_groups.end(); ++i )
{
std::vector < FieldMap* > ::const_iterator j;
for ( j = i->second.begin(); j != i->second.end(); ++j )
result += ( *j ) ->totalFields();
}

## end() [1/2]

iterator FIX::FieldMap::end | ( |  | ) |

inline

Definition at line 293 of file FieldMap.h.

{

Referenced by FIX::DataDictionary::iterate(), reverse_find(), and FIX::Message::toXML().

## end() [2/2]

const_iterator FIX::FieldMap::end | ( |  | ) | const

inline

Definition at line 295 of file FieldMap.h.

{

## findPositionFor()

Fields::iterator FIX::FieldMap::findPositionFor | ( | int | tag | ) |

inline private

Definition at line 376 of file FieldMap.h.

## findTag() [1/2]

Fields::iterator FIX::FieldMap::findTag | ( | int | tag | ) |

inline private

Definition at line 349 of file FieldMap.h.

{
return m_fields.end();
}

References m_fields.

## findTag() [2/2]

Fields::const_iterator FIX::FieldMap::findTag | ( | int | tag | ) | const

inline private

Definition at line 344 of file FieldMap.h.

{

Referenced by setField().

## g_begin() [1/2]

g_iterator FIX::FieldMap::g_begin | ( |  | ) |

inline

Definition at line 296 of file FieldMap.h.

{

## g_begin() [2/2]

g_const_iterator FIX::FieldMap::g_begin | ( |  | ) | const

inline

Definition at line 298 of file FieldMap.h.

{

## g_end() [1/2]

g_iterator FIX::FieldMap::g_end | ( |  | ) |

inline

Definition at line 297 of file FieldMap.h.

{

## g_end() [2/2]

g_const_iterator FIX::FieldMap::g_end | ( |  | ) | const

inline

Definition at line 299 of file FieldMap.h.

{

## getField() [1/2]

FieldBase& FIX::FieldMap::getField | ( | FieldBase & | field | ) | const
throw | ( | FieldNotFound
| ) |  |

inline

Get a field without type checking.

Definition at line 190 of file FieldMap.h.

{ return findTag( tag ) != m_fields.end(); }
void removeField( int tag );

## getField() [2/2]

const std::string& FIX::FieldMap::getField | ( | int | tag | ) | const
throw | ( | FieldNotFound
| ) |  |

inline

Get a field without a field class.

Definition at line 198 of file FieldMap.h.

{

## getFieldIfSet()

bool FIX::FieldMap::getFieldIfSet | ( | FieldBase & | field | ) | const

inline

Get a field if set.

Definition at line 180 of file FieldMap.h.

{
return &getFieldRef( tag );
}

Referenced by FIX::Session::doBadCompID().

## getFieldPtr()

const FieldBase* const FIX::FieldMap::getFieldPtr | ( | int | tag | ) | const
throw | ( | FieldNotFound
| ) |  |

inline

Get direct access to a field through a pointer.

Definition at line 215 of file FieldMap.h.

{
Groups::const_iterator i = m_groups.find( tag );
if( i == m_groups.end() ) throw FieldNotFound( tag );
if( num <= 0 ) throw FieldNotFound( tag );

References m_groups.

## getFieldRef()

const FieldBase& FIX::FieldMap::getFieldRef | ( | int | tag | ) | const
throw | ( | FieldNotFound
| ) |  |

inline

Get direct access to a field through a reference.

Definition at line 205 of file FieldMap.h.

{
return group = getGroupRef( num, tag );
}

References getGroupRef().

## getGroup()

FieldMap& FIX::FieldMap::getGroup | ( | int | num,
|  | int | tag,
|  | FieldMap & | group
| ) |  | const
throw | ( | FieldNotFound
| ) |  |

inline

Get a specific instance of a group.

Definition at line 241 of file FieldMap.h.

## getGroupPtr()

FieldMap* FIX::FieldMap::getGroupPtr | ( | int | num,
|  | int | tag
| ) |  | const
throw | ( | FieldNotFound
| ) |  |

inline

Get direct access to a field through a pointer.

Definition at line 259 of file FieldMap.h.

{ return m_fields.end(); }
const_iterator begin() const { return m_fields.begin(); }
const_iterator end() const { return m_fields.end(); }
g_iterator g_begin() { return m_groups.begin(); }
g_iterator g_end() { return m_groups.end(); }

References m_fields.

## getGroupRef()

FieldMap& FIX::FieldMap::getGroupRef | ( | int | num,
|  | int | tag
| ) |  | const
throw | ( | FieldNotFound
| ) |  |

inline

Get direct access to a field through a reference.

Definition at line 248 of file FieldMap.h.

{ return m_fields.begin(); }

Referenced by getFieldRef(), and isSetField().

## groupCount()

size_t FIX::FieldMap::groupCount | ( | int | tag | ) | const

Count the number of instance of a group.

Definition at line 191 of file FieldMap.cpp.

{

## hasGroup() [1/2]

bool FIX::FieldMap::hasGroup | ( | int | num,
|  | int | tag
| ) |  | const

Check to see if a specific instance of a group exists.

Definition at line 180 of file FieldMap.cpp.

{

## hasGroup() [2/2]

bool FIX::FieldMap::hasGroup | ( | int | tag | ) | const

Check to see any instance of a group exists.

Definition at line 185 of file FieldMap.cpp.

{
std::vector < FieldMap* > ::iterator j;

Referenced by FIX::Message::addGroup(), FIX::Header::hasGroup(), FIX::Trailer::replaceGroup(), and FIX::Message::replaceGroup().

## isEmpty()

bool FIX::FieldMap::isEmpty | ( |  | ) |

Check if map contains any fields.

Definition at line 213 of file FieldMap.cpp.

{

Referenced by FIX::Message::isAdmin().

## isSetField() [1/2]

bool FIX::FieldMap::isSetField | ( | const FieldBase & | field | ) | const

inline

Check to see if a field is set.

Definition at line 222 of file FieldMap.h.

{

## isSetField() [2/2]

bool FIX::FieldMap::isSetField | ( | int | tag | ) | const

inline

Check to see if a field is set by referencing its number.

Definition at line 225 of file FieldMap.h.

{

References getGroupRef().

## lookup()

template<typename Iterator >

Iterator FIX::FieldMap::lookup | ( | Iterator | begin,
|  | Iterator | end,
|  | int | tag
| ) |  | const

inline private

Definition at line 355 of file FieldMap.h.

{ return (MAP).isSetField(field); } \
void set( const FIELD& field ) \
{ (MAP).setField(field); } \
FIELD& get( FIELD& field ) const \
{ return (FIELD&)(MAP).getField(field); } \
bool getIfSet( FIELD& field ) const \
{ return (MAP).getFieldIfSet(field); }
#define FIELD_GET_PTR( MAP, FLD ) \

## operator=()

FieldMap & FIX::FieldMap::operator= | ( | const FieldMap & | rhs | ) |

Definition at line 79 of file FieldMap.cpp.

{
FieldMap * pGroup = new FieldMap( group );
addGroupPtr( field, pGroup, setCount );
}
void FieldMap::addGroupPtr( int field, FieldMap * group, bool setCount )
{
if( group == 0 )
return;
std::vector< FieldMap* >& vec = m_groups[ field ];
vec.push_back( group );
if( setCount )

## removeField()

void FIX::FieldMap::removeField | ( | int | tag | ) |

Remove a field. If field is not present, this is a no-op.

Definition at line 173 of file FieldMap.cpp.

{
Groups::const_iterator i = m_groups.find( field );
if( i == m_groups.end() )
return 0;

## removeGroup() [1/2]

void FIX::FieldMap::removeGroup | ( | int | num,
|  | int | tag
| ) |  |

Remove a specific instance of a group.

Definition at line 128 of file FieldMap.cpp.

{
IntField groupCount( field, (int)vector.size() );
setField( groupCount );
}
}
void FieldMap::removeGroup( int field )
{
Groups::iterator i = m_groups.find( field );
if ( i == m_groups.end() ) return;
removeField( field );
std::vector< FieldMap* > tmp;
tmp.swap( i->second );
m_groups.erase( i );
while ( !tmp.empty() )
{
delete tmp.back();
tmp.pop_back();

Referenced by FIX::Header::removeGroup(), and FIX::Trailer::Trailer().

## removeGroup() [2/2]

void FIX::FieldMap::removeGroup | ( | int | tag | ) |

Remove all instances of a group.

Definition at line 154 of file FieldMap.cpp.

{
Fields::iterator i = findTag( field );
if ( i != m_fields.end() )
m_fields.erase( i );
}
bool FieldMap::hasGroup( int num, int field ) const
{
return (int)groupCount(field) >= num;
}
bool FieldMap::hasGroup( int field ) const
{
Groups::const_iterator i = m_groups.find( field );
return i != m_groups.end();

## replaceGroup()

void FIX::FieldMap::replaceGroup | ( | int | num,
|  | int | tag,
|  | const FieldMap & | group
| ) |  |

Replace a specific instance of a group.

Definition at line 119 of file FieldMap.cpp.

{

Referenced by FIX::Header::replaceGroup().

## reverse_find()

const FieldBase& FIX::FieldMap::reverse_find | ( | int | tag | ) | const

inline protected

Definition at line 320 of file FieldMap.h.

{
#if defined(__SUNPRO_CC)
std::size_t numElements;
std::distance( begin, end, numElements );
#else
std::size_t numElements = std::distance( begin, end );

References begin(), and end().

## setField() [1/2]

void FIX::FieldMap::setField | ( | const FieldBase & | field,
|  | bool | overwrite = `true`
| ) |  |
throw | ( | RepeatedTag
| ) |  |

inline

Set a field without type checking.

Definition at line 150 of file FieldMap.h.

{
field = getFieldRef( field.getTag() );
return field;
}
const std::string& getField( int tag )
const throw( FieldNotFound )
{
return getFieldRef( tag ).getString();
}

Referenced by FIX::Session::generateHeartbeat(), FIX::Message::InitializeXML(), FIX::Message::Message(), and FIX::Message::reverseRoute().

## setField() [2/2]

void FIX::FieldMap::setField | ( | int | tag,
|  | const std::string & | value
| ) |  |
throw | ( | RepeatedTag,
|  | NoTagValue
| ) |  |

inline

Set a field without a field class.

Definition at line 172 of file FieldMap.h.

{
Fields::const_iterator iter = findTag( tag );
if ( iter == m_fields.end() )
throw FieldNotFound( tag );
return (*iter);

References findTag(), and m_fields.

## sortFields()

void FIX::FieldMap::sortFields | ( |  | ) |

inline protected

Definition at line 337 of file FieldMap.h.

## totalFields()

size_t FIX::FieldMap::totalFields | ( |  | ) | const

Definition at line 218 of file FieldMap.cpp.

{
result += i->getFixString();
// add groups if they exist
if( !m_groups.size() ) continue;
Groups::const_iterator j = m_groups.find( i->getTag() );
if ( j == m_groups.end() ) continue;
std::vector < FieldMap* > ::const_iterator k;
for ( k = j->second.begin(); k != j->second.end(); ++k )
( *k ) ->calculateString( result );
}
return result;

## Friends And Related Function Documentation

## Message

friend class Message

friend

Definition at line 303 of file FieldMap.h.

## Member Data Documentation

## m_fields

Fields FIX::FieldMap::m_fields

private

Definition at line 391 of file FieldMap.h.

Referenced by FieldMap(), findTag(), getGroupPtr(), and setField().

## m_groups

Groups FIX::FieldMap::m_groups

private

Definition at line 392 of file FieldMap.h.

Referenced by getFieldPtr().

## m_order

message_order FIX::FieldMap::m_order

private

Definition at line 393 of file FieldMap.h.

Referenced by FieldMap().

The documentation for this class was generated from the following files:

- FieldMap.h
- FieldMap.cpp

FIX::FieldMap::findTag
Fields::const_iterator findTag(int tag) const
Definition: FieldMap.h:344
FIX::FieldMap::calculateTotal
int calculateTotal(int checkSumField=FIELD::CheckSum) const
Definition: FieldMap.cpp:275
FIX::FieldMap::hasGroup
bool hasGroup(int tag) const
Check to see any instance of a group exists.
Definition: FieldMap.cpp:185
FIX::FieldMap::clear
void clear()
Clear all fields from the map.
Definition: FieldMap.cpp:199
FIX::FieldMap::FieldMap
FieldMap(const message_order &order, int size)
Definition: FieldMap.cpp:51
FIX::FieldMap::groupCount
size_t groupCount(int tag) const
Count the number of instance of a group.
Definition: FieldMap.cpp:191
FIX::FieldMap::g_end
g_iterator g_end()
Definition: FieldMap.h:297
FIX::FieldMap::addGroupPtr
void addGroupPtr(int tag, FieldMap *group, bool setCount=true)
Acquire ownership of Group object.
Definition: FieldMap.cpp:107
FIX::FieldMap::m_order
message_order m_order
Definition: FieldMap.h:393
FIX::FieldMap::m_groups
Groups m_groups
Definition: FieldMap.h:392
FIX::FieldMap::begin
iterator begin()
Definition: FieldMap.h:292
FIX::FieldMap::g_begin
g_iterator g_begin()
Definition: FieldMap.h:296
FIX::FieldMap::lookup
Iterator lookup(Iterator begin, Iterator end, int tag) const
Definition: FieldMap.h:355
FIX::FieldMap::m_fields
Fields m_fields
Definition: FieldMap.h:391
FIX::FieldMap::getField
FieldBase & getField(FieldBase &field) const
Get a field without type checking.
Definition: FieldMap.h:190
FIX::FieldMap::removeField
void removeField(int tag)
Remove a field. If field is not present, this is a no-op.
Definition: FieldMap.cpp:173
FIX::FieldMap::getFieldRef
const FieldBase & getFieldRef(int tag) const
Get direct access to a field through a reference.
Definition: FieldMap.h:205
FIX::FieldMap::getGroupRef
FieldMap & getGroupRef(int num, int tag) const
Get direct access to a field through a reference.
Definition: FieldMap.h:248
FIX::FieldMap::setField
void setField(const FieldBase &field, bool overwrite=true)
Set a field without type checking.
Definition: FieldMap.h:150
FIX::FieldMap::g_iterator
Groups::iterator g_iterator
Definition: FieldMap.h:135
FIX::FieldMap::end
iterator end()
Definition: FieldMap.h:293
FIX::FieldMap::iterator
Fields::iterator iterator
Definition: FieldMap.h:133
FIX::FieldMap::removeGroup
void removeGroup(int num, int tag)
Remove a specific instance of a group.
Definition: FieldMap.cpp:128
FIX::FieldMap::const_iterator
Fields::const_iterator const_iterator
Definition: FieldMap.h:134
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:186